> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Deposit

> Get metadata for depositing a token into Lulo.



## OpenAPI

````yaml /openapi/lulo.json get /v0/deposit/{token}/{type}
openapi: 3.1.1
info:
  title: Lulo Blinks
  version: 0.0.1
servers:
  - url: https://lulo.dial.to/api
security: []
paths:
  /v0/deposit/{token}/{type}:
    get:
      tags:
        - Deposit
      summary: Deposit
      description: Get metadata for depositing a token into Lulo.
      operationId: lulo.v0.deposit.getDepositTokenBlink
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            description: Token ticker or mint address
            default: USDC
            example: USDC
          x-default: USDC
          example: USDC
        - name: type
          in: path
          required: true
          schema:
            enum:
              - protected
              - regular
            description: 'Deposit type: protected (PUSD) or regular (LUSD)'
            default: protected
            example: protected
          x-default: protected
          example: protected
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  label:
                    type: string
                  icon:
                    type: string
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              const: transaction
                            href:
                              type: string
                            label:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - type
                                  - label
                          required:
                            - type
                            - href
                            - label
                    required:
                      - actions
                required:
                  - title
                  - description
                  - label
                  - icon
                  - links

````